## class Fl_Int_Input

### Class Hierarchy

    Fl_Input
       |
       +----Fl_Int_Input

### Include Files

    #include <FL/Fl_Int_Input.H>

### Description

The `Fl_Int_Input` class is a subclass of `Fl_Input` that only allows the user to type decimal digits (or hex numbers of the form `0xaef`).

### Methods

- Fl_Int_Input
- ~Fl_Int_Input

#### Fl_Int_Input::Fl_Int_Input(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Int_Input` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX`.

#### virtual Fl_Int_Input::~Fl_Int_Input()

Destroys the widget and any value associated with it.